View Issue Details

IDProjectCategoryView StatusLast Update
0000594FreeCADBugpublic2012-03-11 08:54
Reportergafvert Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.13 
Summary0000594: Mac OS X build crashes on "About FreeCAD"
Description1. Open FreeCAD
2. Select "About FreeCAD" from the application menu
3. Crash
Additional InformationMacOS X 10.7.3

Console output for this run:

2012-02-08 13:43:08,044 [0x0-0xdf0df].net.sourceforge.free-cad: FreeCAD 0.13, Libs: 0.13RUnknown
2012-02-08 13:43:08,044 [0x0-0xdf0df].net.sourceforge.free-cad: © Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2011
2012-02-08 13:43:08,044 [0x0-0xdf0df].net.sourceforge.free-cad: ##### #### ### ####
2012-02-08 13:43:08,044 [0x0-0xdf0df].net.sourceforge.free-cad: # # # # # #
2012-02-08 13:43:08,044 [0x0-0xdf0df].net.sourceforge.free-cad: # ## #### #### # # # # #
2012-02-08 13:43:08,044 [0x0-0xdf0df].net.sourceforge.free-cad: #### # # # # # # # ##### # #
2012-02-08 13:43:08,044 [0x0-0xdf0df].net.sourceforge.free-cad: # # #### #### # # # # #
2012-02-08 13:43:08,045 [0x0-0xdf0df].net.sourceforge.free-cad: # # # # # # # # # ## ## ##
2012-02-08 13:43:08,045 [0x0-0xdf0df].net.sourceforge.free-cad: # # #### #### ### # # #### ## ## ##
2012-02-08 13:43:08,045 [0x0-0xdf0df].net.sourceforge.free-cad: During initialization the error No module named pivy occurred in /Applications/FreeCAD.app/Contents/Mod/Draft/InitGui.py
2012-02-08 13:43:08,109 [0x0-0xdf0df].net.sourceforge.free-cad: Abnormal program termination...
2012-02-08 13:43:08,123 com.apple.launchd.peruser.501: ([0x0-0xdf0df].net.sourceforge.free-cad[1063]) Exited with code: 3


(Note that in the console it says 0.13, even though the download and splash screen say 0.12)
TagsNo tags attached.

Relationships

has duplicate 0000838 closed Selecting "FreeCAD -> About FreeCAD" crashes 
related to 0000620 closed Help -> About FreeCAD crashes program 

Activities

wmayer

2012-03-11 08:54

administrator   ~0001740

Fixed in git 04cdad1db4227bc52cda1b71eefd1ed85e8e9e75

Issue History

Date Modified Username Field Change
2012-02-08 11:46 gafvert New Issue
2012-03-08 16:22 wmayer Relationship added related to 0000620
2012-03-11 08:54 wmayer Note Added: 0001740
2012-03-11 08:54 wmayer Status new => closed
2012-03-11 08:54 wmayer Resolution open => fixed
2012-03-11 08:54 wmayer Fixed in Version => 0.13
2012-09-19 10:43 wmayer Relationship added has duplicate 0000838